Monthly AR report
GET
/reports/monthly-ar
const url = 'https://apisandbox.puurk.com/reports/monthly-ar?oid=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://apisandbox.puurk.com/reports/monthly-ar?oid=example' \ --header 'Authorization: Bearer <token>'Returns a monthly accounts-receivable report
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”oid
required
string
Organization ID
start_month
string
Start month (YYYY-MM)
end_month
string
End month (YYYY-MM)
cursor
string
Pagination cursor
limit
integer
Number of results to return
Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
data
Array<object>
object
pagination
object
limit
Page size used for this response
integer
hasMore
Whether more results are available
boolean
nextCursor
Cursor for the next page, null when no more results
string
Examplegenerated
{ "data": [ {} ], "pagination": { "limit": 1, "hasMore": true, "nextCursor": "example" }}Unauthorized